<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2021 PSMForums. All rights reserved.
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="?android:attr/colorBackground">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:animateLayoutChanges="true"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/subscriptions"
            android:padding="16dp"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Headline6"/>

        <Button
            android:id="@+id/manage_button"
            style="@style/DrawerMenuButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_manage_feeds"
            android:text="@string/manage_feeds" />

        <Button
            android:id="@+id/add_button"
            style="@style/DrawerMenuButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_add"
            android:text="@string/add_feeds" />

        <View style="@style/Divider"/>

        <Button
            android:id="@+id/recent_entries_button"
            style="@style/DrawerMenuButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_folder"
            android:text="@string/new_entries" />

        <Button
            android:id="@+id/starred_entries_button"
            style="@style/DrawerMenuButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_folder_starred"
            android:text="@string/starred_entries" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:choiceMode="singleChoice"
            android:nestedScrollingEnabled="false"/>

        <View
            android:id="@+id/bottom_divider"
            android:layout_marginTop="8dp"
            style="@style/Divider"/>

        <Button
            android:id="@+id/settings_button"
            style="@style/DrawerMenuButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_settings"
            android:text="@string/settings" />

    </LinearLayout>

</androidx.core.widget.NestedScrollView>